# $Revision: 1.129 $, $Date: 2011/04/04 17:34:27 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for compound documents in GNOME
Summary(pl.UTF-8):	Biblioteka do łączenia dokumentów w GNOME
Summary(pt_BR.UTF-8):	Biblioteca para documentos compostos no GNOME
Name:		libbonobo
Version:	2.32.1
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libbonobo/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	27fa902d4fdf6762ee010e7053aaf77b
URL:		http://www.gnome.org/
BuildRequires:	ORBit2-devel >= 1:2.14.8
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	bison
BuildRequires:	dbus-glib-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	popt-devel >= 1.5
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	sed >= 4.0
Requires:	%{name}-libs = %{version}-%{release}
Provides:	bonobo-activation = %{version}
Obsoletes:	bonobo-activation
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libbonobo is a library that provides the necessary framework for
GNOME2 applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

%description -l pl.UTF-8
libbonobo jest biblioteką dającą aplikacjom GNOME2 szkielet
pozwalający im pracować ze złożonymi dokumentami. Dzięki niemu można
np. osadzić arkusz kalkulacyjny i grafikę w dokumencie edytora tekstu.

%description -l pt_BR.UTF-8
libbonobo é uma biblioteca que fornece uma camada necessária para os
aplicativos do GNOME2 funcionarem com documentos compostos, por
exemplo planilhas de cálculo e gráficos juntos num documento texto.

%package libs
Summary:	libbonobo library itself
Summary(pl.UTF-8):	Sama biblioteka libbonobo
Group:		Libraries
Requires(post):	/sbin/ldconfig
Requires:	ORBit2 >= 1:2.14.8
Obsoletes:	libbonobo0
Conflicts:	libbonobo < 2.32.0-2

%description libs
libbonobo library itself.

%description libs -l pl.UTF-8
Sama biblioteka libbonobo.

%package devel
Summary:	Include files for the libbonobo document model
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libbonobo
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	ORBit2-devel >= 1:2.14.8
Requires:	glib2-devel >= 1:2.26.0
Requires:	popt-devel >= 1.5
Provides:	bonobo-activation-devel = %{version}
Obsoletes:	bonobo-activation-devel
Obsoletes:	libbonobo0-devel

%description devel
This package provides the necessary include files to allow you to
develop programs using the libbonobo document model.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia programów
korzystających z modelu dokumentów libbonobo.

%package static
Summary:	Static libbonobo libraries
Summary(pl.UTF-8):	Biblioteki statyczne libbonobo
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	bonobo-activation-static = %{version}
Obsoletes:	bonobo-activation-static

%description static
Static libbonobo libraries.

%description static -l pl.UTF-8
Biblioteki statyczne libbonobo.

%package apidocs
Summary:	libbonobo API documentation
Summary(pl.UTF-8):	Dokumentacja API libbonobo
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libbonobo API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libbonobo.

%prep
%setup -q
sed -i -e 's|/lib|/%{_lib}|g' utils/bonobo-slay.in
%{__sed} -i -e 's/^en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{__gtkdocize}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static}
%{__make}


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no static orbit or bonobo modules and *.la for them
rm -f $RPM_BUILD_ROOT%{_libdir}/{bonobo/monikers,orbit-2.0}/*.{la,a}
# Seems to be only test tool during build
rm -f $RPM_BUILD_ROOT%{_bindir}/bonobo-activation-run-query


%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/bonobo-activation-sysconf --add-directory=%{_libdir}/bonobo/servers

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README changes.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bonobo-activation/bonobo-activation-config.xml
%attr(755,root,root) %{_bindir}/activation-client
%attr(755,root,root) %{_bindir}/bonobo-slay
%attr(755,root,root) %{_bindir}/echo-client-2
%attr(755,root,root) %{_sbindir}/bonobo-activation-sysconf
%dir %{_sysconfdir}/bonobo-activation
%{_datadir}/idl/bonobo-*
%{_mandir}/man1/*.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbonobo-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbonobo-2.so.0
%attr(755,root,root) %{_libdir}/libbonobo-activation.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbonobo-activation.so.4
%attr(755,root,root) %{_libdir}/bonobo-*
%attr(755,root,root) %{_libdir}/bonobo/monikers/lib*.so
%attr(755,root,root) %{_libdir}/orbit-2.0/*.so
%dir %{_libdir}/bonobo
%dir %{_libdir}/bonobo/monikers
%dir %{_libdir}/bonobo/servers
%{_libdir}/bonobo/servers/*.server

%files devel
%defattr(644,root,root,755)
%doc ChangeLog TODO
%attr(755,root,root) %{_libdir}/libbonobo-2.so
%attr(755,root,root) %{_libdir}/libbonobo-activation.so
%{_libdir}/libbonobo-2.la
%{_libdir}/libbonobo-activation.la
%{_includedir}/libbonobo-2.0
%{_includedir}/bonobo-activation-2.0
%{_pkgconfigdir}/bonobo-activation-2.0.pc
%{_pkgconfigdir}/libbonobo-2.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbonobo-2.a
%{_libdir}/libbonobo-activation.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%{_gtkdocdir}/bonobo-activation

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libbonobo.spec,v $
Revision 1.129  2011/04/04 17:34:27  megabajt
- updated to 2.32.1

Revision 1.128  2010/10/19 08:58:10  baggins
- rel 3
- added C:libbonobo < 2.32.0-2 to libs package (devel-hints-en.txt:14)

Revision 1.127  2010/10/11 12:52:14  baggins
- rel 2

Revision 1.126  2010/10/11 12:46:15  baggins
- added libs package for multiarch installs

Revision 1.125  2010/09/28 09:25:02  megabajt
- updated to 2.32.0

Revision 1.124  2010/04/02 15:06:59  sls
- removed en@shaw locale

Revision 1.123  2010/04/02 14:45:29  sls
- ver. 2.24.3

Revision 1.122  2009/11/29 01:01:57  sparky
- BR: dbus-glib-devel, docbook-dtd412-xml

Revision 1.121  2009/09/28 19:35:51  megabajt
- updated to 2.24.2

Revision 1.120  2009/03/06 15:12:18  megabajt
- updated to 2.24.1

Revision 1.119  2008/09/30 06:31:54  glen
- lib64 fix in %post
- missing R: ldconfig; rel 2

Revision 1.118  2008/09/25 17:54:25  megabajt
- updated to 2.24.0; merged changes from DEVEL

Revision 1.117.2.2  2008/08/19 12:17:28  patrys
- 2.23.1

Revision 1.117.2.1  2008/06/16 21:14:05  megabajt
- updated to 2.23.0

Revision 1.117  2008-03-11 15:10:56  megabajt
- updated to 2.22.0; merged changes from DEVEL

Revision 1.116  2008/02/01 20:22:18  megabajt
- updated to 2.20.4

Revision 1.115.2.1  2008-02-01 20:11:10  megabajt
- updated to 2.21.90

Revision 1.115  2007-12-23 12:44:35  megabajt
- updated to 2.20.3
- more verbose files

Revision 1.114  2007-12-12 19:56:53  megabajt
- updated to 2.20.2

Revision 1.113  2007-11-11 11:38:36  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.112  2007/10/15 15:36:48  megabajt
- updated to 2.20.1

Revision 1.111  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.110  2007/09/17 13:56:26  patrys
- 2.20.0

Revision 1.109.2.2  2007/08/27 19:31:32  shadzik
- Source0

Revision 1.109.2.1  2007/08/27 19:26:42  megabajt
- updated to 2.19.6

Revision 1.109  2007/03/12 14:45:45  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.108.2.1  2007/02/26 21:47:51  megabajt
- updated to 2.17.92

Revision 1.108  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.107  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.106  2007/01/13 11:49:47  megabajt
- missing BR: popt-devel

Revision 1.105  2006/11/20 17:44:51  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.104  2006/09/04 16:53:35  grzegol
- 2.16.0

Revision 1.103  2006/08/14 14:39:38  freetz
- 2.15.3

Revision 1.102  2006/08/08 22:25:51  qboosh
- unified

Revision 1.101  2006/08/08 16:38:10  freetz
- 2.15.2, apidocs subpkg

Revision 1.100  2006/07/12 05:46:13  freetz
- 2.15.0

Revision 1.99  2006/07/10 21:11:36  freetz
- rel.4, --as-needed support

Revision 1.98  2006/06/07 13:23:29  freetz
- rel.3, bleeding edge dep, refresh gtk-doc.make

Revision 1.97  2006/05/24 08:34:57  qboosh
- merged deps update from AC-branch

Revision 1.96  2006/04/01 17:55:30  qboosh
- killed Ra-specific bonobo/servers path

Revision 1.95  2006/04/01 13:46:16  freetz
- merged from DEVEL

Revision 1.94.2.3  2006/03/14 15:33:06  freetz
- 2.14.0

Revision 1.94.2.2  2006/03/07 21:32:10  freetz
- 2.13.93

Revision 1.94.2.1  2006/01/18 18:04:04  freetz
- 2.13.1

Revision 1.94  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.93.2.2  2006/05/18 19:54:03  baggins
- release 2
- strict reqs

Revision 1.93.2.1  2006/05/14 22:10:09  baggins
- merged from HEAD

Revision 1.93  2005/08/21 11:14:16  aflinta
- version 2.10.1

Revision 1.92  2005/07/07 11:27:28  freetz
- 2.10.0

Revision 1.91  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.90  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.89  2005/06/15 15:42:35  witekfl
- added bcond_without static

Revision 1.88  2005/06/08 22:11:23  zbyniu
- R: popt-devel in -devel; BR: pkgconfig
- rel. 4, STBR

Revision 1.87  2005/05/19 20:13:29  qboosh
- unified

Revision 1.86  2005/05/19 17:32:04  ankry
- %verify(not md5 size mtime)

Revision 1.85  2005/05/11 01:04:59  pluto
- release 3 for Th.

Revision 1.84  2005/04/26 09:29:24  paladine
- lib64 fix

Revision 1.83  2005/04/12 21:58:43  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.82  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.81  2005/04/11 09:25:01  paladine
- missing R(postun): /sbin/ldconfig

Revision 1.80  2005/04/10 15:53:52  freetz
- new style macros

Revision 1.79  2005/03/24 21:25:28  saq
- BR: bison by Mariusz Krynski

Revision 1.78  2005/02/05 16:16:34  grzegol
- updated to 2.8.1

Revision 1.77  2004/09/15 09:17:52  grzegol
- updated to 2.8.0
- removed locale-names patch and remove no locale in %%install

Revision 1.76  2004/05/29 18:05:16  freetz
- 2.6.2

Revision 1.75  2004/05/27 12:01:23  grzegol
- updated to 2.6.1

Revision 1.74  2004/03/31 14:50:35  qboosh
- merged 2.6.0 from DEVEL

Revision 1.73  2004/01/09 15:46:22  freetz
- up to 2.4.3 - STBR for AC

Revision 1.72  2003/12/27 16:25:36  qboosh
- removed unused *.la for monikers; release 2

Revision 1.71.2.5  2004/03/08 12:17:55  grzegol
- updated to 2.6.0
- added locale-names patch (changes locale no -> nb)
- added BR: flex, perl-base, and popt-devel
- strict internal deps

Revision 1.71.2.4  2004/02/02 18:16:12  grzegol
- updated to 2.5.4

Revision 1.71.2.3  2004/01/15 20:19:24  grzegol
- updated to 2.5.3

Revision 1.71.2.2  2004/01/09 17:20:38  grzegol
- updated to 2.5.2

Revision 1.71.2.1  2003/12/09 12:25:00  wiget
- 2.5.1

Revision 1.71  2003/11/03 22:06:53  grzegol
- updated to 2.4.2

Revision 1.70  2003/10/13 08:15:32  qboosh
- fixed undefined ac macro

Revision 1.69  2003/10/10 21:45:50  freetz
- up to 2.4.1
- warnings patch not needed anymore

Revision 1.68  2003/09/25 08:41:04  ankry
- cosmetics

Revision 1.67  2003/09/25 06:37:23  tiwek
- added missing BR

Revision 1.66  2003/09/03 12:59:15  qboosh
- added ORBit2 epoch to deps, -devel R: ORBit2-devel

Revision 1.65  2003/08/26 14:48:44  trojan
- updated to 2.4.0

Revision 1.64  2003/08/18 08:08:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.63  2003/07/31 14:01:24  grzegol
- added R(post): /sbin/ldconfig
- sorting and other cleanups

Revision 1.62  2003/07/31 13:37:32  aflinta
- version 2.3.6

Revision 1.61  2003/07/15 13:46:33  aflinta
- version 2.3.5

Revision 1.60  2003/07/10 09:52:25  cieciwa
- fixed BR

Revision 1.59  2003/07/04 13:39:20  aflinta
- version 2.3.4

Revision 1.58  2003/06/23 06:32:15  aflinta
- fixed variablw mname with conflicts with keyword, release 2

Revision 1.57  2003/06/10 19:08:52  aflinta
- version 2.3.3

Revision 1.56  2003/06/10 13:59:27  krzak
- Requires:       ORBit2 >= 2.7.2

Revision 1.55  2003/06/10 13:48:25  krzak
- remove last change

Revision 1.54  2003/06/10 10:53:15  krzak
- Obsoletes:      bonobo
- rel 2

Revision 1.53  2003/06/09 19:39:14  aflinta
- version 2.3.2

Revision 1.52  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.51  2003/05/25 05:49:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.50  2003/05/13 08:49:29  qboosh
- no *.la for orbit modules (what about bonobo/monikers???)
- release 4

Revision 1.49  2003/05/12 20:11:25  aflinta
- release 3

Revision 1.48  2003/05/12 10:25:35  qboosh
- added locale-sr patch to make sr locales compatible with glibc
- removed static modules
- BR: gtk-doc >= 1.1

Revision 1.47  2003/05/09 20:19:06  aflinta
- added patch with fix build libbonobo in environments without bonobo-activation from separate package, release 2

Revision 1.46  2003/05/09 19:26:53  aflinta
- wrrr

Revision 1.45  2003/05/09 19:18:23  aflinta
- corrected %%files

Revision 1.44  2003/05/09 18:59:08  aflinta
- release 1, seems to be working

Revision 1.43  2003/05/07 06:18:08  aflinta
- removed two files with depends on libtest-plugin.so, don't know if they are needed, but wasn't in previous version

Revision 1.42  2003/05/07 05:50:34  aflinta
- version 2.3.1, NFY, need to remove dependencies of libtest-plugin.so

Revision 1.41  2003/03/15 09:47:58  trojan
- updated to 2.2.1

Revision 1.40  2003/02/09 15:46:59  radek
- BR: gtk-doc

Revision 1.39  2003/02/06 17:28:21  wrobell
- %%{_libdir}/bonobo/servers directory is owned by bonobo-activation
- rel. 2

Revision 1.38  2003/01/20 18:05:53  aflinta
- updated to version 2.2.0

Revision 1.37  2003/01/17 12:43:52  trojan
- fixed %%files (no need 755 for *.la)

Revision 1.36  2002/12/29 03:23:47  aflinta
- updated to version 2.1.1

Revision 1.35  2002/12/04 16:13:44  aflinta
- libbonobo is not for Gnome2 only, _gtkdocdir is now in rpm macros, release 5

Revision 1.34  2002/12/03 10:31:08  wrobell
- group changed from X11/* to * (these libraries does not require X11 stuff)

Revision 1.33  2002/11/30 19:32:28  aflinta
- release 4

Revision 1.32  2002/11/26 14:18:56  aflinta
- wrrr, one more update to BR

Revision 1.31  2002/11/26 14:12:49  aflinta
-updated BR bonobo-activation

Revision 1.30  2002/11/26 13:59:49  aflinta
- ups, moved lib from devel to main package

Revision 1.29  2002/11/26 13:54:19  aflinta
- corrected %files, release 3

Revision 1.28  2002/11/26 11:12:45  wrobell
- prefix changed to /usr, libbonobo does not require X11 libraries

Revision 1.27  2002/11/22 23:11:39  aflinta
- corrected orbit-2.0 directory location
- release 2

Revision 1.26  2002/11/03 19:03:21  aflinta
- updated to version 2.1.0

Revision 1.25  2002/10/29 18:54:31  aflinta
- rebuild against bonobo-activation 2.1.0, release up

Revision 1.24  2002/10/24 07:42:54  malekith
- release 2

Revision 1.23  2002/10/23 06:34:58  trojan
- BR: bonobo-activation >= 1.0.0 (not 2.1.0)

Revision 1.22  2002/10/21 09:17:55  trojan
- enabled doc building

Revision 1.21  2002/10/19 08:57:38  aflinta
- updated to version 2.0.1

Revision 1.20  2002/10/10 12:51:36  trojan
- added patch to fix compilation in test directory
- s/--enable-gtk-doc/--disable-gtk-doc/
- fixed URL
- fixed %%files

Revision 1.19  2002/09/13 12:49:26  wrobell
- fixed source uri

Revision 1.18  2002/09/10 18:14:10  kloczek
- release 5: libbonobo0{,-devel} added fr allow upgrade from MDK.

Revision 1.17  2002/07/02 12:44:35  ankry
- Requires gtk-doc-common for -devel subpackage
- release 2

Revision 1.16  2002/06/05 12:07:30  wiget
- updated to 2.0.0
- fixed gtk-doc

Revision 1.15  2002/05/28 07:00:49  wiget
updated to 1.117.1

Revision 1.14  2002/05/21 08:18:10  wiget
- strict BR
- use new auto* macros

Revision 1.13  2002/05/20 21:33:44  kloczek
- use new %doc packing infrastructure.

Revision 1.12  2002/05/20 18:52:48  kloczek
- updated to 1.117.0.

Revision 1.11  2002/05/02 11:02:54  kloczek
- release 2,
- removed using GNOME_COMPILE_WARNINGS macro (this is from GNOME 1.x macros set).
  and remove also hack in aclocal parameters for above (remove -I %%{_aclocaldir}/gnome)

Revision 1.10  2002/05/01 17:39:45  kloczek
- add -I %%{_aclocaldir}/gnome to aclocal parameters (GNOME_COMPILE_WARNINGS
  macro is missing).

Revision 1.9  2002/05/01 17:17:42  kloczek
- added regenerate ac/am/lt files.

Revision 1.8  2002/04/29 17:22:48  misiek
- updated to 1.116.0

Revision 1.7  2002/04/18 19:19:35  michuz
- updated 1.115.0

Revision 1.6  2002/03/11 11:43:03  misiek
- updated to 1.113

Revision 1.5  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/17 19:46:14  kloczek
- reelase 2: fixed Source url.

Revision 1.2  2002/01/17 11:28:39  qboosh
- changed base Group to X11/Libraries, the rest to X11/Development/Libraries
- added the rest of pl translations, removed English "es" description

Revision 1.1  2002/01/16 23:23:48  michuz
- initial release
